Всем доброго дня!
Посадил на чертеж однострочный текст.
Выделил этот текст с помощью прямоугольника.
Записал координаты 2-х противоположных точек прямоугольника.
Реализовал то же самое в С#.
C# говорит, что выделен один элемент, но визуально он никак не помечен.
Почему?
Вот код:
[CommandMethod("NCS_SET_HLINKS")]
public static void CmdSetLinks()
{
try
{
// Get the current document and database, and start a transaction
Document acDoc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument;
// Get the current document editor
Editor acDocEd = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
PromptSelectionResult acSSPrompt;
acSSPrompt = acDocEd.SelectCrossingWindow(new Point3d(1408, 3601, 0),
new Point3d(4178, 4820, 0));
// If the prompt status is OK, objects were selected
if (acSSPrompt.Status == PromptStatus.OK)
{
SelectionSet acSSet = acSSPrompt.Value;
Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog("Число выбранных объектов: " +
acSSet.Count.ToString());
}
else
{
Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog("Число выбранных объектов: 0");
}
}
catch (System.Exception e)
{
Editor acDocEd = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
acDocEd .WriteMessage(String.Format("Ошибка загрузки надстройки NormaCS: {0}{1}" + Environment.NewLine, e.Message, e.StackTrace));
}
}